Index: branches/PushGP/HeuristicLab.PushGP/FeatureTests/App.config
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/FeatureTests/App.config	(revision 14905)
+++ branches/PushGP/HeuristicLab.PushGP/FeatureTests/App.config	(revision 14906)
@@ -1,6 +1,6 @@
 ﻿<?xml version="1.0" encoding="utf-8" ?>
 <configuration>
-    <startup> 
-        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.2" />
-    </startup>
+  <startup>
+    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.2" />
+  </startup>
 </configuration>
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/ErcOptions.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/ErcOptions.cs	(revision 14905)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/ErcOptions.cs	(revision 14906)
@@ -4,35 +4,38 @@
   using System.Linq;
 
-  using Boolean;
-  using Char;
-  using Common;
-  using Core;
-  using Data;
-  using Float;
-  using FloatVector;
-  using Integer;
-  using IntegerVector;
-  using Parameters;
-  using Persistence.Default.CompositeSerializers.Storable;
-  using String;
-  using StringVector;
+  using HeuristicLab.Collections;
+  using HeuristicLab.Common;
+  using HeuristicLab.Core;
+  using HeuristicLab.Data;
+  using HeuristicLab.Parameters;
+  using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+  using HeuristicLab.Problems.ProgramSynthesis.Base.Erc.Boolean;
+  using HeuristicLab.Problems.ProgramSynthesis.Base.Erc.Char;
+  using HeuristicLab.Problems.ProgramSynthesis.Base.Erc.Float;
+  using HeuristicLab.Problems.ProgramSynthesis.Base.Erc.FloatVector;
+  using HeuristicLab.Problems.ProgramSynthesis.Base.Erc.Integer;
+  using HeuristicLab.Problems.ProgramSynthesis.Base.Erc.IntegerVector;
+  using HeuristicLab.Problems.ProgramSynthesis.Base.Erc.String;
+  using HeuristicLab.Problems.ProgramSynthesis.Base.Erc.StringVector;
 
   [StorableClass]
   public class ErcOptions : ParameterizedNamedItem, IReadOnlyErcOptions {
-    public const string ProbabilityParameterName = "Probability";
-    public const string IntegerParameterName = "Integer";
-    public const string FloatParameterName = "Float";
-    public const string CharParameterName = "Char";
-    public const string BooleanParameterName = "Boolean";
-    public const string StringParameterName = "String";
-    public const string NameParameterName = "Name";
-    public const string IntegerVectorParameterName = "IntegerVector";
-    public const string FloatVectorParameterName = "FloatVector";
-    public const string StringVectorParameterName = "StringVector";
+    private const string ProbabilityParameterName = "Probability";
+    private const string IntegerParameterName = "Integer";
+    private const string FloatParameterName = "Float";
+    private const string CharParameterName = "Char";
+    private const string BooleanParameterName = "Boolean";
+    private const string StringParameterName = "String";
+    private const string NameParameterName = "Name";
+    private const string IntegerVectorParameterName = "IntegerVector";
+    private const string FloatVectorParameterName = "FloatVector";
+    private const string StringVectorParameterName = "StringVector";
+
+    [Storable]
+    private readonly NamedItemCollection<IValueParameter> ercOptionParameters;
 
     [Storable]
     private readonly ReadOnlyCheckedItemCollection<IValueParameter> ercOptions;
-    [Storable]
-    private readonly NamedItemCollection<IValueParameter> ercOptionParameters;
+
     private IDictionary<IValueParameter, EventHandler<bool>> ercOptionEnabledChangedHandler;
 
@@ -42,15 +45,16 @@
       Parameters.Add(new FixedValueParameter<PercentValue>(ProbabilityParameterName));
 
-      ercOptionParameters = new NamedItemCollection<IValueParameter> {
-        new ValueParameter<IntegerErcOptions>(IntegerParameterName),
-        new ValueParameter<FloatErcOptions>(FloatParameterName),
-        new ValueParameter<BooleanErcOptions>(BooleanParameterName),
-        new ValueParameter<StringErcOptions>(StringParameterName),
-        new ValueParameter<CharErcOptions>(CharParameterName),
-        new ValueParameter<StringErcOptions>(NameParameterName),
-        new ValueParameter<IntegerVectorErcOptions>(IntegerVectorParameterName),
-        new ValueParameter<FloatVectorErcOptions>(FloatVectorParameterName),
-        new ValueParameter<StringVectorErcOptions>(StringVectorParameterName)
-      };
+      ercOptionParameters = new NamedItemCollection<IValueParameter>
+                              {
+                                new ValueParameter<IntegerErcOptions>(IntegerParameterName),
+                                new ValueParameter<FloatErcOptions>(FloatParameterName),
+                                new ValueParameter<BooleanErcOptions>(BooleanParameterName),
+                                new ValueParameter<StringErcOptions>(StringParameterName),
+                                new ValueParameter<CharErcOptions>(CharParameterName),
+                                new ValueParameter<StringErcOptions>(NameParameterName),
+                                new ValueParameter<IntegerVectorErcOptions>(IntegerVectorParameterName),
+                                new ValueParameter<FloatVectorErcOptions>(FloatVectorParameterName),
+                                new ValueParameter<StringVectorErcOptions>(StringVectorParameterName)
+                              };
 
       InitEnabledChangedHandlerDict(ercOptionParameters);
@@ -61,10 +65,11 @@
 
       ercOptions.CheckedItemsChanged += ErcOptionsCheckedItemsChanged;
-
       DisableAllOptions();
     }
 
     [StorableConstructor]
-    protected ErcOptions(bool deserializing) : base(deserializing) { }
+    protected ErcOptions(bool deserializing)
+      : base(deserializing) {
+    }
 
     public ErcOptions(ErcOptions origin, Cloner cloner)
@@ -76,4 +81,279 @@
     }
 
+    public IValueParameter<PercentValue> ErcProbabilityParameter
+    {
+      get
+      {
+        return (IValueParameter<PercentValue>)Parameters[ProbabilityParameterName];
+      }
+    }
+
+    public IValueParameter<IntegerErcOptions> IntegerErcOptionsParameter
+    {
+      get
+      {
+        return (IValueParameter<IntegerErcOptions>)ercOptionParameters[IntegerParameterName];
+      }
+    }
+
+    public IntegerErcOptions IntegerErcOptions
+    {
+      get
+      {
+        return IntegerErcOptionsParameter.Value;
+      }
+      set
+      {
+        SetErcOptions(IntegerErcOptionsParameter, value);
+      }
+    }
+
+    public IValueParameter<FloatErcOptions> FloatErcOptionsParameter
+    {
+      get
+      {
+        return (IValueParameter<FloatErcOptions>)ercOptionParameters[FloatParameterName];
+      }
+    }
+
+    public FloatErcOptions FloatErcOptions
+    {
+      get
+      {
+        return FloatErcOptionsParameter.Value;
+      }
+      set
+      {
+        SetErcOptions(FloatErcOptionsParameter, value);
+      }
+    }
+
+    /// <summary>
+    ///   Integer represents ASCII value
+    /// </summary>
+    public IValueParameter<CharErcOptions> CharErcOptionsParameter
+    {
+      get
+      {
+        return (IValueParameter<CharErcOptions>)ercOptionParameters[CharParameterName];
+      }
+    }
+
+    public CharErcOptions CharErcOptions
+    {
+      get
+      {
+        return CharErcOptionsParameter.Value;
+      }
+      set
+      {
+        SetErcOptions(CharErcOptionsParameter, value);
+      }
+    }
+
+    public IValueParameter<BooleanErcOptions> BooleanErcOptionsParameter
+    {
+      get
+      {
+        return (IValueParameter<BooleanErcOptions>)ercOptionParameters[BooleanParameterName];
+      }
+    }
+
+    public BooleanErcOptions BooleanErcOptions
+    {
+      get
+      {
+        return BooleanErcOptionsParameter.Value;
+      }
+      set
+      {
+        SetErcOptions(BooleanErcOptionsParameter, value);
+      }
+    }
+
+    public IValueParameter<StringErcOptions> StringErcOptionsParameter
+    {
+      get
+      {
+        return (IValueParameter<StringErcOptions>)ercOptionParameters[StringParameterName];
+      }
+    }
+
+    public StringErcOptions StringErcOptions
+    {
+      get
+      {
+        return StringErcOptionsParameter.Value;
+      }
+      set
+      {
+        SetErcOptions(StringErcOptionsParameter, value);
+      }
+    }
+
+    public IValueParameter<StringErcOptions> NameParameter
+    {
+      get
+      {
+        return (IValueParameter<StringErcOptions>)ercOptionParameters[NameParameterName];
+      }
+    }
+
+    public StringErcOptions NameErcOptions
+    {
+      get
+      {
+        return NameParameter.Value;
+      }
+      set
+      {
+        SetErcOptions(NameParameter, value);
+      }
+    }
+
+    public IValueParameter<IntegerVectorErcOptions> IntegerVectorErcOptionsParameter
+    {
+      get
+      {
+        return (IValueParameter<IntegerVectorErcOptions>)ercOptionParameters[IntegerVectorParameterName];
+      }
+    }
+
+    public IntegerVectorErcOptions IntegerVectorErcOptions
+    {
+      get
+      {
+        return IntegerVectorErcOptionsParameter.Value;
+      }
+      set
+      {
+        SetErcOptions(IntegerVectorErcOptionsParameter, value);
+      }
+    }
+
+    public IValueParameter<StringVectorErcOptions> StringVectorErcOptionsValueParameter
+    {
+      get
+      {
+        return (IValueParameter<StringVectorErcOptions>)ercOptionParameters[StringVectorParameterName];
+      }
+    }
+
+    public StringVectorErcOptions StringVectorErcOptions
+    {
+      get
+      {
+        return StringVectorErcOptionsValueParameter.Value;
+      }
+      set
+      {
+        SetErcOptions(StringVectorErcOptionsValueParameter, value);
+      }
+    }
+
+    public IValueParameter<FloatVectorErcOptions> FloatVectorErcOptionsParameter
+    {
+      get
+      {
+        return (IValueParameter<FloatVectorErcOptions>)ercOptionParameters[FloatVectorParameterName];
+      }
+    }
+
+    public FloatVectorErcOptions FloatVectorErcOptions
+    {
+      get
+      {
+        return FloatVectorErcOptionsParameter.Value;
+      }
+      set
+      {
+        SetErcOptions(FloatVectorErcOptionsParameter, value);
+      }
+    }
+
+    public double ErcProbability
+    {
+      get
+      {
+        return ErcProbabilityParameter.Value.Value;
+      }
+      set
+      {
+        ErcProbabilityParameter.Value.Value = value;
+      }
+    }
+
+    IErcValueItem<int> IReadOnlyErcOptions.IntegerErcOptions
+    {
+      get
+      {
+        return IntegerErcOptions;
+      }
+    }
+
+    IErcValueItem<double> IReadOnlyErcOptions.FloatErcOptions
+    {
+      get
+      {
+        return FloatErcOptions;
+      }
+    }
+
+    IErcValueItem<bool> IReadOnlyErcOptions.BooleanErcOptions
+    {
+      get
+      {
+        return BooleanErcOptions;
+      }
+    }
+
+    IErcValueItem<char> IReadOnlyErcOptions.CharErcOptions
+    {
+      get
+      {
+        return CharErcOptions;
+      }
+    }
+
+    IErcValueItem<string> IReadOnlyErcOptions.StringErcOptions
+    {
+      get
+      {
+        return StringErcOptions;
+      }
+    }
+
+    IErcValueItem<string> IReadOnlyErcOptions.NameErcOptions
+    {
+      get
+      {
+        return NameErcOptions;
+      }
+    }
+
+    IErcValueItem<IReadOnlyList<int>> IReadOnlyErcOptions.IntegerVectorErcOptions
+    {
+      get
+      {
+        return IntegerVectorErcOptions;
+      }
+    }
+
+    IErcValueItem<IReadOnlyList<double>> IReadOnlyErcOptions.FloatVectorErcOptions
+    {
+      get
+      {
+        return FloatVectorErcOptions;
+      }
+    }
+
+    IErcValueItem<IReadOnlyList<string>> IReadOnlyErcOptions.StringVectorErcOptions
+    {
+      get
+      {
+        return StringVectorErcOptions;
+      }
+    }
+
     [StorableHook(HookType.AfterDeserialization)]
     // ReSharper disable once UnusedMember.Local
@@ -83,11 +363,11 @@
 
     private void InitEnabledChangedHandlerDict(NamedItemCollection<IValueParameter> parameters) {
-      ercOptionEnabledChangedHandler = parameters
-        .ToDictionary<IValueParameter, IValueParameter, EventHandler<bool>>(
+      ercOptionEnabledChangedHandler =
+        parameters.ToDictionary<IValueParameter, IValueParameter, EventHandler<bool>>(
           param => param,
           param => (sender, state) => ercOptions.SetItemCheckedState(param, state));
     }
 
-    private void ErcOptionsCheckedItemsChanged(object sender, Collections.CollectionItemsChangedEventArgs<IValueParameter> e) {
+    private void ErcOptionsCheckedItemsChanged(object sender, CollectionItemsChangedEventArgs<IValueParameter> e) {
       foreach (var item in e.Items) {
         var ercItem = (IErcItem)item.Value;
@@ -96,127 +376,4 @@
     }
 
-    public IValueParameter<PercentValue> ErcProbabilityParameter
-    {
-      get { return (IValueParameter<PercentValue>)Parameters[ProbabilityParameterName]; }
-    }
-
-    public double ErcProbability
-    {
-      get { return ErcProbabilityParameter.Value.Value; }
-      set { ErcProbabilityParameter.Value.Value = value; }
-    }
-
-    IErcValueItem<int> IReadOnlyErcOptions.IntegerErcOptions { get { return IntegerErcOptions; } }
-    IErcValueItem<double> IReadOnlyErcOptions.FloatErcOptions { get { return FloatErcOptions; } }
-    IErcValueItem<bool> IReadOnlyErcOptions.BooleanErcOptions { get { return BooleanErcOptions; } }
-    IErcValueItem<char> IReadOnlyErcOptions.CharErcOptions { get { return CharErcOptions; } }
-    IErcValueItem<string> IReadOnlyErcOptions.StringErcOptions { get { return StringErcOptions; } }
-    IErcValueItem<string> IReadOnlyErcOptions.NameErcOptions { get { return NameErcOptions; } }
-    IErcValueItem<IReadOnlyList<int>> IReadOnlyErcOptions.IntegerVectorErcOptions { get { return IntegerVectorErcOptions; } }
-    IErcValueItem<IReadOnlyList<double>> IReadOnlyErcOptions.FloatVectorErcOptions { get { return FloatVectorErcOptions; } }
-    IErcValueItem<IReadOnlyList<string>> IReadOnlyErcOptions.StringVectorErcOptions { get { return StringVectorErcOptions; } }
-
-    public IValueParameter<IntegerErcOptions> IntegerErcOptionsParameter
-    {
-      get { return (IValueParameter<IntegerErcOptions>)ercOptionParameters[IntegerParameterName]; }
-    }
-
-    public IntegerErcOptions IntegerErcOptions
-    {
-      get { return IntegerErcOptionsParameter.Value; }
-      set { SetErcOptions(IntegerErcOptionsParameter, value); }
-    }
-
-    public IValueParameter<FloatErcOptions> FloatErcOptionsParameter
-    {
-      get { return (IValueParameter<FloatErcOptions>)ercOptionParameters[FloatParameterName]; }
-    }
-
-    public FloatErcOptions FloatErcOptions
-    {
-      get { return FloatErcOptionsParameter.Value; }
-      set { SetErcOptions(FloatErcOptionsParameter, value); }
-    }
-
-    /// <summary>
-    /// Integer represents ASCII value
-    /// </summary>
-    public IValueParameter<CharErcOptions> CharErcOptionsParameter
-    {
-      get { return (IValueParameter<CharErcOptions>)ercOptionParameters[CharParameterName]; }
-    }
-
-    public CharErcOptions CharErcOptions
-    {
-      get { return CharErcOptionsParameter.Value; }
-      set { SetErcOptions(CharErcOptionsParameter, value); }
-    }
-
-    public IValueParameter<BooleanErcOptions> BooleanErcOptionsParameter
-    {
-      get { return (IValueParameter<BooleanErcOptions>)ercOptionParameters[BooleanParameterName]; }
-    }
-
-    public BooleanErcOptions BooleanErcOptions
-    {
-      get { return BooleanErcOptionsParameter.Value; }
-      set { SetErcOptions(BooleanErcOptionsParameter, value); }
-    }
-
-    public IValueParameter<StringErcOptions> StringErcOptionsParameter
-    {
-      get { return (IValueParameter<StringErcOptions>)ercOptionParameters[StringParameterName]; }
-    }
-
-    public StringErcOptions StringErcOptions
-    {
-      get { return StringErcOptionsParameter.Value; }
-      set { SetErcOptions(StringErcOptionsParameter, value); }
-    }
-
-    public IValueParameter<StringErcOptions> NameParameter
-    {
-      get { return (IValueParameter<StringErcOptions>)ercOptionParameters[NameParameterName]; }
-    }
-
-    public StringErcOptions NameErcOptions
-    {
-      get { return NameParameter.Value; }
-      set { SetErcOptions(NameParameter, value); }
-    }
-
-    public IValueParameter<IntegerVectorErcOptions> IntegerVectorErcOptionsParameter
-    {
-      get { return (IValueParameter<IntegerVectorErcOptions>)ercOptionParameters[IntegerVectorParameterName]; }
-    }
-
-    public IntegerVectorErcOptions IntegerVectorErcOptions
-    {
-      get { return this.IntegerVectorErcOptionsParameter.Value; }
-      set { SetErcOptions(this.IntegerVectorErcOptionsParameter, value); }
-    }
-
-    public IValueParameter<StringVectorErcOptions> StringVectorErcOptionsValueParameter
-    {
-      get { return (IValueParameter<StringVectorErcOptions>)ercOptionParameters[StringVectorParameterName]; }
-    }
-
-    public StringVectorErcOptions StringVectorErcOptions
-    {
-      get { return this.StringVectorErcOptionsValueParameter.Value; }
-      set { SetErcOptions(this.StringVectorErcOptionsValueParameter, value); }
-    }
-
-    public IValueParameter<FloatVectorErcOptions> FloatVectorErcOptionsParameter
-    {
-      get { return (IValueParameter<FloatVectorErcOptions>)ercOptionParameters[FloatVectorParameterName]; }
-    }
-
-    public FloatVectorErcOptions FloatVectorErcOptions
-    {
-      get { return this.FloatVectorErcOptionsParameter.Value; }
-      set { SetErcOptions(this.FloatVectorErcOptionsParameter, value); }
-    }
-
     public override IDeepCloneable Clone(Cloner cloner) {
       return new ErcOptions(this, cloner);
@@ -232,18 +389,14 @@
 
     public void SetOptionsState(bool state) {
-      foreach (var param in this.ercOptions) {
-        this.ercOptions.SetItemCheckedState(param, state);
-      }
+      foreach (var param in ercOptions) ercOptions.SetItemCheckedState(param, state);
     }
 
     private void SetErcOptions(IValueParameter param, IErcItem value) {
-      if (ercOptionEnabledChangedHandler[param] != null && param.Value != null)
-        ((IErcItem)param.Value).EnabledChanged -= ercOptionEnabledChangedHandler[param];
+      if ((ercOptionEnabledChangedHandler[param] != null) && (param.Value != null)) ((IErcItem)param.Value).EnabledChanged -= ercOptionEnabledChangedHandler[param];
 
       param.Value = value;
       ercOptions.SetItemCheckedState(param, value != null ? value.IsEnabled : false);
 
-      if (value != null)
-        value.EnabledChanged += ercOptionEnabledChangedHandler[param];
+      if (value != null) value.EnabledChanged += ercOptionEnabledChangedHandler[param];
     }
   }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/IWeightedErcValueItem.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/IWeightedErcValueItem.cs	(revision 14905)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/IWeightedErcValueItem.cs	(revision 14906)
@@ -5,9 +5,7 @@
 using System.Threading.Tasks;
 
-namespace HeuristicLab.Problems.ProgramSynthesis.Base.Erc
-{
-    public interface IWeightedErcValueItem<T> : IErcValueItem<T>, IWeighted
-    {
+namespace HeuristicLab.Problems.ProgramSynthesis.Base.Erc {
+  public interface IWeightedErcValueItem<T> : IErcValueItem<T>, IWeighted {
 
-    }
+  }
 }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Properties/Resources.Designer.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Properties/Resources.Designer.cs	(revision 14905)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Properties/Resources.Designer.cs	(revision 14906)
@@ -10,54 +10,59 @@
 
 namespace HeuristicLab.Problems.ProgramSynthesis.Properties {
-    using System;
-    
-    
+  using System;
+
+
+  /// <summary>
+  ///   A strongly-typed resource class, for looking up localized strings, etc.
+  /// </summary>
+  // This class was auto-generated by the StronglyTypedResourceBuilder
+  // class via a tool like ResGen or Visual Studio.
+  // To add or remove a member, edit your .ResX file then rerun ResGen
+  // with the /str option, or rebuild your VS project.
+  [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "4.0.0.0")]
+  [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+  [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
+  internal class Resources {
+
+    private static global::System.Resources.ResourceManager resourceMan;
+
+    private static global::System.Globalization.CultureInfo resourceCulture;
+
+    [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
+    internal Resources() {
+    }
+
     /// <summary>
-    ///   A strongly-typed resource class, for looking up localized strings, etc.
+    ///   Returns the cached ResourceManager instance used by this class.
     /// </summary>
-    // This class was auto-generated by the StronglyTypedResourceBuilder
-    // class via a tool like ResGen or Visual Studio.
-    // To add or remove a member, edit your .ResX file then rerun ResGen
-    // with the /str option, or rebuild your VS project.
-    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "4.0.0.0")]
-    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
-    internal class Resources {
-        
-        private static global::System.Resources.ResourceManager resourceMan;
-        
-        private static global::System.Globalization.CultureInfo resourceCulture;
-        
-        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
-        internal Resources() {
+    [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
+    internal static global::System.Resources.ResourceManager ResourceManager
+    {
+      get
+      {
+        if (object.ReferenceEquals(resourceMan, null)) {
+          global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("HeuristicLab.Problems.ProgramSynthesis.Properties.Resources", typeof(Resources).Assembly);
+          resourceMan = temp;
         }
-        
-        /// <summary>
-        ///   Returns the cached ResourceManager instance used by this class.
-        /// </summary>
-        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
-        internal static global::System.Resources.ResourceManager ResourceManager {
-            get {
-                if (object.ReferenceEquals(resourceMan, null)) {
-                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("HeuristicLab.Problems.ProgramSynthesis.Properties.Resources", typeof(Resources).Assembly);
-                    resourceMan = temp;
-                }
-                return resourceMan;
-            }
-        }
-        
-        /// <summary>
-        ///   Overrides the current thread's CurrentUICulture property for all
-        ///   resource lookups using this strongly typed resource class.
-        /// </summary>
-        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
-        internal static global::System.Globalization.CultureInfo Culture {
-            get {
-                return resourceCulture;
-            }
-            set {
-                resourceCulture = value;
-            }
-        }
+        return resourceMan;
+      }
     }
+
+    /// <summary>
+    ///   Overrides the current thread's CurrentUICulture property for all
+    ///   resource lookups using this strongly typed resource class.
+    /// </summary>
+    [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
+    internal static global::System.Globalization.CultureInfo Culture
+    {
+      get
+      {
+        return resourceCulture;
+      }
+      set
+      {
+        resourceCulture = value;
+      }
+    }
+  }
 }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Exporter/Exporter.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Exporter/Exporter.cs	(revision 14905)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Exporter/Exporter.cs	(revision 14906)
@@ -1,10 +1,7 @@
-﻿namespace HeuristicLab.Problems.ProgramSynthesis.Push.Exporter
-{
+﻿namespace HeuristicLab.Problems.ProgramSynthesis.Push.Exporter {
   using HeuristicLab.Problems.ProgramSynthesis.Push.Expressions;
 
-  public static class Exporter
-  {
-    public static string ToString(Expression expression)
-    {
+  public static class Exporter {
+    public static string ToString(Expression expression) {
       return expression.ToString();
     }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/FloatExpressionTests.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/FloatExpressionTests.cs	(revision 14905)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/FloatExpressionTests.cs	(revision 14906)
@@ -1,4 +1,3 @@
-﻿namespace HeuristicLab.Tests.Interpreter.Expressions
-{
+﻿namespace HeuristicLab.Tests.Interpreter.Expressions {
   using System;
 
@@ -9,6 +8,5 @@
 
   [TestClass]
-  public class FloatExpressionTests : CommonTests<double>
-  {
+  public class FloatExpressionTests : CommonTests<double> {
     private const double delta = 0.00001;
 
@@ -33,6 +31,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestAdd()
-    {
+    public void TestAdd() {
       this.interpreter.FloatStack.Push(5.3, 5.3);
       this.interpreter.Run(new FloatAddExpression());
@@ -47,6 +44,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestAddWithInsufficientArguments()
-    {
+    public void TestAddWithInsufficientArguments() {
       this.TestWithInsufficientArguments("+", 1);
     }
@@ -56,6 +52,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestSubtract()
-    {
+    public void TestSubtract() {
       this.interpreter.FloatStack.Push(10.2, 5.3);
       this.interpreter.Run(new FloatSubtractExpression());
@@ -70,6 +65,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestSubractWithInsufficientArguments()
-    {
+    public void TestSubractWithInsufficientArguments() {
       this.TestWithInsufficientArguments("-", 1);
     }
@@ -79,6 +73,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestMultiply()
-    {
+    public void TestMultiply() {
       this.interpreter.FloatStack.Push(9.9, 3.3);
       this.interpreter.Run(new FloatMultiplyExpression());
@@ -93,6 +86,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestMultiplyWithInsufficientArguments()
-    {
+    public void TestMultiplyWithInsufficientArguments() {
       this.TestWithInsufficientArguments("*", 1);
     }
@@ -102,6 +94,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestDivide()
-    {
+    public void TestDivide() {
       this.interpreter.FloatStack.Push(9.9, 3.3);
       this.interpreter.Run(new FloatDivideExpression());
@@ -116,6 +107,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestDivideWithInsufficientArguments()
-    {
+    public void TestDivideWithInsufficientArguments() {
       this.TestWithInsufficientArguments("/", 1);
     }
@@ -125,6 +115,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestModulo()
-    {
+    public void TestModulo() {
       this.interpreter.FloatStack.Push(11.6, 5.3);
       this.interpreter.Run(new FloatModuloExpression());
@@ -139,6 +128,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestModuloWithInsufficientArguments()
-    {
+    public void TestModuloWithInsufficientArguments() {
       this.TestWithInsufficientArguments("%", 1);
     }
@@ -148,6 +136,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestMin()
-    {
+    public void TestMin() {
       this.interpreter.FloatStack.Push(10.2, 5.3);
       this.interpreter.Run(new FloatMinExpression());
@@ -162,6 +149,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestMinWithInsufficientArguments()
-    {
+    public void TestMinWithInsufficientArguments() {
       this.TestWithInsufficientArguments("MIN", 1);
     }
@@ -171,6 +157,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestMax()
-    {
+    public void TestMax() {
       this.interpreter.FloatStack.Push(10.3, 5.3);
       this.interpreter.Run(new FloatMaxExpression());
@@ -185,6 +170,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestMaxWithInsufficientArguments()
-    {
+    public void TestMaxWithInsufficientArguments() {
       this.TestWithInsufficientArguments("MAX", 1);
     }
@@ -194,6 +178,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestSmallerThan()
-    {
+    public void TestSmallerThan() {
       this.interpreter.FloatStack.Push(10.2, 5.3);
       this.interpreter.Run(new FloatSmallerThanExpression());
@@ -208,6 +191,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestSmallerThanWithInsufficientArguments()
-    {
+    public void TestSmallerThanWithInsufficientArguments() {
       this.TestWithInsufficientArguments("<", 1);
     }
@@ -217,6 +199,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestGreaterThan()
-    {
+    public void TestGreaterThan() {
       this.interpreter.FloatStack.Push(10.2, 5.3);
       this.interpreter.Run(new FloatGreaterThanExpression());
@@ -231,6 +212,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestGreaterThanWithInsufficientArguments()
-    {
+    public void TestGreaterThanWithInsufficientArguments() {
       this.TestWithInsufficientArguments(">", 1);
     }
@@ -240,6 +220,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestFromBooleanTrue()
-    {
+    public void TestFromBooleanTrue() {
       this.interpreter.BooleanStack.Push(true);
       this.interpreter.Run(new FloatFromBooleanExpression());
@@ -254,6 +233,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestFromBooleanFalse()
-    {
+    public void TestFromBooleanFalse() {
       this.interpreter.BooleanStack.Push(false);
       this.interpreter.Run(new FloatFromBooleanExpression());
@@ -268,6 +246,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestFromBooleanWithInsufficientArguments()
-    {
+    public void TestFromBooleanWithInsufficientArguments() {
       this.TestWithInsufficientArguments("FROMBOOLEAN");
     }
@@ -277,6 +254,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestFromInteger()
-    {
+    public void TestFromInteger() {
       this.interpreter.IntegerStack.Push(5);
       this.interpreter.Run(new FloatFromIntegerExpression());
@@ -291,6 +267,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestFromIntegerWithInsufficientArguments()
-    {
+    public void TestFromIntegerWithInsufficientArguments() {
       this.TestWithInsufficientArguments("FROMINTEGER");
     }
@@ -300,6 +275,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestSine()
-    {
+    public void TestSine() {
       this.interpreter.FloatStack.Push(Math.PI / 2);
       this.interpreter.Run(new FloatSineExpression());
@@ -314,6 +288,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestSineWithInsufficientArguments()
-    {
+    public void TestSineWithInsufficientArguments() {
       this.TestWithInsufficientArguments("SIN");
     }
@@ -323,6 +296,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestCosine()
-    {
+    public void TestCosine() {
       this.interpreter.FloatStack.Push(Math.PI);
       this.interpreter.Run(new FloatCosineExpression());
@@ -337,11 +309,9 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestCosineWithInsufficientArguments()
-    {
+    public void TestCosineWithInsufficientArguments() {
       this.TestWithInsufficientArguments("COS");
     }
 
-    protected override double[] GetValues(int count)
-    {
+    protected override double[] GetValues(int count) {
       var values = new double[count];
 
@@ -351,6 +321,5 @@
     }
 
-    protected override void CheckOtherStacksAreEmpty()
-    {
+    protected override void CheckOtherStacksAreEmpty() {
       this.TestStackCounts(floatStack: null);
     }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/IntegerExpressionTests.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/IntegerExpressionTests.cs	(revision 14905)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/IntegerExpressionTests.cs	(revision 14906)
@@ -1,4 +1,3 @@
-﻿namespace HeuristicLab.Tests.Interpreter.Expressions
-{
+﻿namespace HeuristicLab.Tests.Interpreter.Expressions {
   using HeuristicLab.Problems.ProgramSynthesis.Push.Expressions;
   using HeuristicLab.Problems.ProgramSynthesis.Push.Stack;
@@ -7,6 +6,5 @@
 
   [TestClass]
-  public class IntegerExpressionTests : CommonTests<long>
-  {
+  public class IntegerExpressionTests : CommonTests<long> {
     protected override string TypeName
     {
@@ -29,6 +27,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestAdd()
-    {
+    public void TestAdd() {
       this.interpreter.IntegerStack.Push(5, 5);
       this.interpreter.Run(new IntegerAddExpression());
@@ -43,6 +40,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestAddWithInsufficientArguments()
-    {
+    public void TestAddWithInsufficientArguments() {
       this.TestWithInsufficientArguments("+", 1);
     }
@@ -52,6 +48,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestSubtract()
-    {
+    public void TestSubtract() {
       this.interpreter.IntegerStack.Push(10, 5);
       this.interpreter.Run(new IntegerSubtractExpression());
@@ -66,6 +61,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestSubtractWithInsufficientArguments()
-    {
+    public void TestSubtractWithInsufficientArguments() {
       this.TestWithInsufficientArguments("-", 1);
     }
@@ -75,6 +69,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestMultiply()
-    {
+    public void TestMultiply() {
       this.interpreter.IntegerStack.Push(10, 5);
       this.interpreter.Run(new IntegerMultiplyExpression());
@@ -89,6 +82,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestMultiplyWithInsufficientArguments()
-    {
+    public void TestMultiplyWithInsufficientArguments() {
       this.TestWithInsufficientArguments("*", 1);
     }
@@ -98,6 +90,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestDivide()
-    {
+    public void TestDivide() {
       this.interpreter.IntegerStack.Push(10, 5);
       this.interpreter.Run(new IntegerDivideExpression());
@@ -112,6 +103,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestDivideWithInsufficientArguments()
-    {
+    public void TestDivideWithInsufficientArguments() {
       this.TestWithInsufficientArguments("/", 1);
     }
@@ -121,6 +111,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestModulo()
-    {
+    public void TestModulo() {
       this.interpreter.IntegerStack.Push(10, 5);
       this.interpreter.Run(new IntegerModuloExpression());
@@ -135,6 +124,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestModuloWithInsufficientArguments()
-    {
+    public void TestModuloWithInsufficientArguments() {
       this.TestWithInsufficientArguments("%", 1);
     }
@@ -144,6 +132,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestMin()
-    {
+    public void TestMin() {
       this.interpreter.IntegerStack.Push(10, 5);
       this.interpreter.Run(new IntegerMinExpression());
@@ -158,6 +145,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestMinWithInsufficientArguments()
-    {
+    public void TestMinWithInsufficientArguments() {
       this.TestWithInsufficientArguments("MIN", 1);
     }
@@ -167,6 +153,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestMax()
-    {
+    public void TestMax() {
       this.interpreter.IntegerStack.Push(10, 5);
       this.interpreter.Run(new IntegerMaxExpression());
@@ -181,6 +166,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestMaxWithInsufficientArguments()
-    {
+    public void TestMaxWithInsufficientArguments() {
       this.TestWithInsufficientArguments("MAX", 1);
     }
@@ -190,6 +174,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestSmallerThan()
-    {
+    public void TestSmallerThan() {
       this.interpreter.IntegerStack.Push(10, 5);
       this.interpreter.Run(new IntegerSmallerThanExpression());
@@ -204,6 +187,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestSmallerThanWithInsufficientArguments()
-    {
+    public void TestSmallerThanWithInsufficientArguments() {
       this.TestWithInsufficientArguments("<", 1);
     }
@@ -213,6 +195,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestGreaterThan()
-    {
+    public void TestGreaterThan() {
       this.interpreter.IntegerStack.Push(10, 5);
       this.interpreter.Run(new IntegerGreaterThanExpression());
@@ -227,6 +208,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestGreaterThanWithInsufficientArguments()
-    {
+    public void TestGreaterThanWithInsufficientArguments() {
       this.TestWithInsufficientArguments(">", 1);
     }
@@ -236,6 +216,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestFromBooleanTrue()
-    {
+    public void TestFromBooleanTrue() {
       this.interpreter.BooleanStack.Push(true);
       this.interpreter.Run(new IntegerFromBooleanExpression());
@@ -250,6 +229,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestFromBooleanWithInsufficientArguments()
-    {
+    public void TestFromBooleanWithInsufficientArguments() {
       this.TestWithInsufficientArguments("FROMBOOLEAN");
     }
@@ -259,6 +237,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestFromBooleanFalse()
-    {
+    public void TestFromBooleanFalse() {
       this.interpreter.BooleanStack.Push(false);
       this.interpreter.Run(new IntegerFromBooleanExpression());
@@ -273,6 +250,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestFromFloat()
-    {
+    public void TestFromFloat() {
       this.interpreter.FloatStack.Push(1.5);
       this.interpreter.Run(new IntegerFromFloatExpression());
@@ -287,11 +263,9 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestFromFloatWithInsufficientArguments()
-    {
+    public void TestFromFloatWithInsufficientArguments() {
       this.TestWithInsufficientArguments("FROMFLOAT");
     }
 
-    protected override long[] GetValues(int count)
-    {
+    protected override long[] GetValues(int count) {
       var values = new long[count];
 
@@ -301,6 +275,5 @@
     }
 
-    protected override void CheckOtherStacksAreEmpty()
-    {
+    protected override void CheckOtherStacksAreEmpty() {
       this.TestStackCounts(integerStack: null);
     }
Index: branches/PushGP/HeuristicLab.PushGP/PushGP.Cli/App.config
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/PushGP.Cli/App.config	(revision 14905)
+++ branches/PushGP/HeuristicLab.PushGP/PushGP.Cli/App.config	(revision 14906)
@@ -1,6 +1,6 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
 <configuration>
-    <startup>
-        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5"/>
-    </startup>
+  <startup>
+    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5"/>
+  </startup>
 </configuration>
